Last Comment Bug 5564 - nslocale.dll: remove RegisterComponent() calls
: nslocale.dll: remove RegisterComponent() calls
Status: VERIFIED FIXED
DEPEND - Intl
:
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: All Other
: P3 normal (vote)
: M6
Assigned To: tague
: tague
:
Mentors:
Depends on:
Blocks: 7228
  Show dependency treegraph
 
Reported: 1999-04-27 12:52 PDT by bobj
Modified: 1999-06-23 16:11 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description bobj 1999-04-27 12:52:15 PDT
Suresh Duddi wrote:
    1.Look at NS_SetupRegistry() and NS_SetupRegistry1() functions
    2.If your component lives under the components directory,
      remove the RegisterComponent() call from there

And then be happy you just improved the startup performance of
apprunner by saving an unneccessary dll load/unload combination.
Comment 1 tague 1999-04-27 14:04:59 PDT
Checked in and tested the changes on Windows 4/27/98 - 2:00pm.
Comment 2 tague 1999-04-27 15:26:59 PDT
I marked this as verified since the bug is a code issue, and there is nothing
for QA to really verify.
Comment 3 nhottanscp 1999-04-30 09:53:59 PDT
Messenger thread pane sort using this dll.
Using 4/29 Win32 build (after removing mozregisty.dat file), after I hit a tab
for the subject for sorting I got errors like this.
nsComponentManager: Load(nslocale.dll) FAILED with error: error 0
Is this related to this change? Looks like other components (e.g. converter) are
working fine.
Comment 4 tague 1999-04-30 11:26:59 PDT
I could be, I'll take a look at it.
Comment 5 chris hofmann 1999-05-01 13:33:59 PDT
is this an M5 stopper?
Comment 6 bobj 1999-05-03 12:51:59 PDT
I don't get any errors with 1999-05-03-08 build on US NT4.
I clicked on Subject, Sender and Date headers in the thread pane.
Naoki, Are you still crashing?
Comment 7 nhottanscp 1999-05-03 13:23:59 PDT
I used 1999-05-03-08 from ftp and still seeing the same message in the console
at first time hit a subject tab to sort. I have not seen crash for this, only
errors in the console as I mentioned in my previous comment.
Comment 8 tague 1999-05-03 13:24:59 PDT
We aren't getting a crash -- only console error messages on the first attempt.
Moving this to M6.
Comment 9 bobj 1999-05-03 13:25:59 PDT
Correction to my last comment.  On the first attempt to sort a header,
I do get the error messages in the console window.
Comment 10 tague 1999-05-04 17:08:59 PDT
I'm reassigning this to DP.  There is some problem with how nsComponentManager
is discovering the various components.  The reason the library load is failing,
is because the component manager is attempting to open "nslocale.dll", instead
of using the full path to the library (GetFullPath() is returing only the
library name and not the full path), so the call to PR_LoadLibrary fails.
Comment 11 Suresh Duddi (gone) 1999-05-06 17:16:59 PDT
Ok Here is what I did. I commented out all the calls to
RegisterComponent(NSLOCALE_DLL) from nsSetupRegistery.cpp

Invoked messenger. I get the folderpane and msglistpane empty. I clicked on the
headings Name, Unread, Subject, Sender, Date.

I see these output in my shell window. No msg about not being able to load
nslocale.dll without a path as it should be. Can someone help me reproduce the
bug:
OpenURL from XUL


nsMsgAppCore::SetWindow(): Getting the webShell of interest...
nsMsgAppCore::SetWindow(): Got the webShell browser.webwindow.
$573
$573
msgaccounts:/
msgaccounts:/
msgaccounts:/
----------------------------
-- Sort
-- Column: http://home.netscape.com/NC-rdf#Subject
-- Direction: ascending
----------------------------
$585

OpenURL from XUL


nsMsgAppCore::SetWindow(): Getting the webShell of interest...
nsMsgAppCore::SetWindow(): Got the webShell browser.webwindow.
----------------------------
-- Sort
-- Column: http://home.netscape.com/NC-rdf#Sender
-- Direction: descending
----------------------------
$585

OpenURL from XUL


nsMsgAppCore::SetWindow(): Getting the webShell of interest...
nsMsgAppCore::SetWindow(): Got the webShell browser.webwindow.
Comment 12 tague 1999-05-12 15:20:59 PDT
move back to me
Comment 13 tague 1999-05-12 15:26:59 PDT
Checked in a new fix for this with dp's help.

fix should be in 5/12/99 and later.
Comment 14 msanz 1999-05-24 15:00:59 PDT
Tague, can you verify this fix? Thanks
Comment 15 tague 1999-06-23 16:11:59 PDT
marking verified since it is a code fix

Note You need to log in before you can comment on or make changes to this bug.